ghc-7.10.3: The GHC API

Safe Haskell | None
Language | Haskell2010

SPARC.Ppr

Synopsis

- pprNatCmmDecl :: NatCmmDecl CmmStatics Instr -> SDoc
- pprBasicBlock :: BlockEnv CmmStatics -> NatBasicBlock Instr -> SDoc
- pprSectionHeader :: Section -> SDoc
- pprData :: CmmStatic -> SDoc
- pprInstr :: Instr -> SDoc
- pprSize :: Size -> SDoc
- pprImm :: Imm -> SDoc
- pprDataItem :: CmmLit -> SDoc

# Documentation

pprNatCmmDecl :: NatCmmDecl CmmStatics Instr -> SDoc

pprBasicBlock :: BlockEnv CmmStatics -> NatBasicBlock Instr -> SDoc

pprSectionHeader :: Section -> SDoc

Pretty print a section / segment header. On SPARC all the data sections must be at least 8 byte aligned incase we store doubles in them.

pprData :: CmmStatic -> SDoc

pprInstr :: Instr -> SDoc

Pretty print an instruction.

pprSize :: Size -> SDoc

Pretty print a size for an instruction suffix.

pprImm :: Imm -> SDoc

Pretty print an immediate value.

pprDataItem :: CmmLit -> SDoc

Pretty print a data item.